org.apache.poi.hssf.eventmodel

## Class EventRecordFactory

- java.lang.Object
- - org.apache.poi.hssf.eventmodel.EventRecordFactory

-     public final class EventRecordFactory
      extends java.lang.Object

  Event-based record factory. As opposed to RecordFactory this version sends `ERFListener.processRecord(org.apache.poi.hssf.record.Record)` messages to the supplied listener. Record notifications are sent one record behind to ensure that `ContinueRecord`s are processed first.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventRecordFactory(ERFListener listener, short[] sids)` Create an EventRecordFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processRecords(java.io.InputStream in)` Create an array of records from an input stream

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventRecordFactory

          public EventRecordFactory(ERFListener listener,
                                    short[] sids)

      Create an EventRecordFactory
      Parameters:
        `listener` - the listener to be informed about events
        `sids` - an array of Record.sid values identifying the records the listener will work with. Alternatively if this is "null" then all records are passed. For all 'known' record types use `RecordFactory.getAllKnownRecordSIDs()`

  - ### Method Detail

    - #### processRecords

          public void processRecords(java.io.InputStream in)
                              throws RecordFormatException

      Create an array of records from an input stream
      Parameters:
        `in` - the InputStream from which the records will be obtained
      Throws:
        `RecordFormatException` - on error processing the InputStream

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.